/*
 * HostsVector.java	
 *
 * Copyright 2007 Cristina Roura Claver cristina.roura@gmail.com
 *
 * This file is part of LHMC.
 *
 * LHMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * LHMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package lhmc.network;

import java.io.*;
import java.net.*;
import java.util.*;

/**
 * HostsVector is class manages a hostname vector.
 * 
 * @author 	Cristina Roura Claver
 * @version 	0.01 Jun 2007
 */
public class HostsVector {
    
    Vector<String> hosts = null;
    
    /**
     * HostsVector constructor.
     */       
    public HostsVector() {   
        hosts = new Vector<String>();
    }
    
    /**
     * Adds a hostname string to the vector. Synchronized method to be used by threads.
     * @param hostName  the host name.
     */        
    public synchronized void addHost(String hostName) {
        hosts.add(hostName);        
    }
    
    /**
     * Gets the hostname vector. Synchronized method to be used by threads.
     * @return  the host names vector.
     */          
    public synchronized Vector<String> getHosts() {
        return hosts;
    }        
}