/*
 * DvbMPlayerPlugin.java	
 *
 * Copyright 2007 Cristina Roura Claver cristina.roura@gmail.com
 *
 * This file is part of LHMC.
 *
 * LHMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * LHMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package lhmc.plugins;

import java.awt.Graphics;
import java.awt.GraphicsEnvironment;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import javax.swing.JPanel;
import java.io.File;
import java.io.IOException;
import javax.imageio.*;
import java.awt.event.*;
import java.awt.image.*;
import java.awt.BorderLayout;
import java.awt.*;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.util.Timer;
import java.util.TimerTask;
import java.util.Vector;
import java.net.*;

import lhmc.plugins.*;
import lhmc.gui.util.*;


/**
 * DvbMPlayerPlugin displays the digital TV with MPlayer.
 *
 * @author 	Cristina Roura Claver
 * @version 	0.01 29 Mar 2007
 */
public class DvbMPlayerPlugin extends Plugin {

    /* fullscreen */
    protected GraphicsDevice device;
    protected Window mainWindow;
    
    private Process playerPrc;  
    
    static BufferedReader stdout, stderr;
    static Vector<String> outputLines;
    private boolean paused = false;
    private boolean outputAllowed = false;
        
    /* needed to avoid serialization warnings */
    private static final long serialVersionUID = 1L;
    
    /**
     * Constructs DvbMPlayerPlugin.
     */
    DvbMPlayerPlugin() {          
    }

    /**
     * Shows the television.
     * @param file  not used.
     */    
    public void play(URL file) {
        
        // comand to see analogic tv: mplayer -tv driver=v4l2:outfmt=i420:channels=24-tv3,28-C33,30-Telecinco,48-laSexta,53-cuatro,58-antena3,62-costabravatv,22−tv1,26−tv2:channel=30 -fs -vc rawi420 -vo xv tv://1              
        /*
	String[] command = new String[] {
	    "/usr/bin/mplayer",            
	    "-slave",
            "-tv",
	    "driver=v4l2:outfmt=i420:channels=24-tv3,28-C33,30-Telecinco,48-laSexta,53-cuatro,58-antena3,62-costabravatv,22−tv1,26−tv2:channel=30",
            "-fs",
	    "-vc", "rawi420",
            "-vo", "xv",
            "tv://1"
	};   
        */
        // TDT
	String[] command = new String[] {
	    "/usr/bin/mplayer",            
	    "-slave",
            "dvb://",
            "-fs",
	    "-zoom"
	};
        
	ExternalPlugin ep = new ExternalPlugin(command);
        ep.executeCommand();
        ep.start();          
       
    }

    public void playAll(URL file) {
    }    
}
