/*
 * DvdXinePlugin.java	
 *
 * Copyright 2007 Cristina Roura Claver cristina.roura@gmail.com
 *
 * This file is part of LHMC.
 *
 * LHMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * LHMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package lhmc.plugins;

import java.awt.Graphics;
import java.awt.GraphicsEnvironment;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import javax.swing.JPanel;
import java.io.File;
import java.io.IOException;
import javax.imageio.*;
import java.awt.event.*;
import java.awt.image.*;
import java.awt.BorderLayout;
import java.awt.*;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.util.Timer;
import java.util.TimerTask;
import java.util.Vector;
import java.net.*;

import lhmc.plugins.*;
import lhmc.gui.util.*;


/**
 * DvdXinePlugin reproduces a video DVD with Xine.
 *
 * @author 	Cristina Roura Claver
 * @version 	0.01 29 Mar 2007
 */
public class DvdXinePlugin extends Plugin {

    /* fullscreen */
    protected GraphicsDevice device;
    protected Window mainWindow;
    
    private Process playerPrc;  
    
    static BufferedReader stdout, stderr;
    static Vector<String> outputLines;
    private boolean paused = false;
    private boolean outputAllowed = false;
        
    /* needed to avoid serialization warnings */
    private static final long serialVersionUID = 1L;
    
    /**
     * Constructs the DvdXinePlugin.
     */
    DvdXinePlugin() {          
    }
    
    /**
     * Plays the DVD.
     * @param file  not used.
     */    
     //xine -pfhq --no-splash --no-mouse dvd://
    public void play(URL file) {
	String[] command = new String[] {
	    "/usr/bin/xine",            
	    "-pfhq",
	    "--no-splash",
	    "--no-mouse",
	    "dvd://"
	};
        ExternalPlugin ep = new ExternalPlugin(command);
        ep.executeCommand();
        ep.start();  
    }
    
    public void playAll(URL file) {
    }    
}