/*
 * Plugin.java	
 *
 * Copyright 2007 Cristina Roura Claver cristina.roura@gmail.com
 *
 * This file is part of LHMC.
 *
 * LHMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * LHMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package lhmc.plugins;

import java.awt.event.*;
import java.io.File;
import java.net.*;

import lhmc.gui.LHMCGUI;
import lhmc.gui.util.*;

/**
 * Plugin abstract class.
 * Must overide the run method.
 * @author 	Cristina Roura Claver
 * @version 	0.01 Mar 2007
 */
public abstract class Plugin {
    /* main frame */
    protected LHMCGUI mainFrame = null;
    
    /* backup frame */
    protected LHMCGUI backupFrame = null;    
    
    /**
     * Executes a file.
     * @param file the url file to execute.
     */     
    public abstract void play(URL file);
    
    /**
     * Executes a directory.
     * @param file the url directory to execute.
     */         
    public abstract void playAll(URL file);
    
    /**
     * Sets the main frame to mainFrame.
     * @param mainFrame The main frame of the LHMCGUI.
     */    
    public void setMainFrame(LHMCGUI mainFrame) {
	this.mainFrame = mainFrame;
        backupFrame = mainFrame;
    }   

}
